package com.gic.haoban.manage.service.service.fee;

import com.gic.haoban.manage.service.entity.fee.TabHaobanQywxFeeOrderAccount;

/**
 * 企业微信收费订单账号(激活码)(TabHaobanQywxFeeOrderAccount)表服务接口
 *
 * @author mozhu
 * @since 2022-08-03 16:12:33
 */
public interface HaobanQywxFeeOrderAccountService {

    /**
     * 新增数据
     *
     * @param tabHaobanQywxFeeOrderAccount 实例对象
     * @return 实例对象
     */
    TabHaobanQywxFeeOrderAccount save(TabHaobanQywxFeeOrderAccount activeAccount);

    /**
     * 未激活用户数
     *
     * @param status         状态
     * @param wxEnterpriseId wx企业标识
     * @return int
     * @author mozhu
     * @date 2022-08-05 11:23:01
     */
    int countOrderAccountStatus(Integer status,String wxEnterpriseId);

}
